Bug 23694 - Author "By" should have its own class
Summary: Author "By" should have its own class
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-30 08:10 UTC by Lucas Gass
Modified: 2019-10-08 13:57 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23694: Author "By" should have its own class (2.05 KB, patch)
2019-10-01 07:01 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 23694: Author "By" should have its own class (2.19 KB, patch)
2019-10-04 11:48 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23694: Author "By" should have its own class (2.25 KB, patch)
2019-10-07 19:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23694: (QA follow-up) Add new class for 'by' to intranet XSLT (2.01 KB, patch)
2019-10-07 19:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-09-30 08:10:02 UTC
In the Author part of the OPAC results/OPAC details the "by" part is not contained by a <span>. Many librarians ask to remove this bit or style it differently from the author name. 

"By" should be its own class in both the OPAC search results and OPAC details page.
Comment 1 Lucas Gass 2019-10-01 07:01:40 UTC
Created attachment 93343 [details] [review]
Bug 23694: Author "By" should have its own class

TEST PLAN:
1. Go to OPAC details and results on a record which inlcudes an author. Attempt to inspect the element of the "by" text/ 
2. Notice it exists outside of a <span> or <div>.
3. Apply patch. 
4. Inscept the element again and it should be inside of a <span> with a class of 'byAuthor'.
5. Add this CSS to the OPACUserCSS '.byAuthor { display: none;}'.
6. Reload the OPAC results/details and notice that the 'by' bit is now hidden.
Comment 2 ByWater Sandboxes 2019-10-04 11:48:05 UTC
Created attachment 93742 [details] [review]
Bug 23694: Author "By" should have its own class

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Katrin Fischer 2019-10-07 19:28:00 UTC
Created attachment 93839 [details] [review]
Bug 23694: Author "By" should have its own class

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-10-07 19:28:04 UTC
Created attachment 93840 [details] [review]
Bug 23694: (QA follow-up) Add new class for 'by' to intranet XSLT

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2019-10-08 13:57:02 UTC
Nice work!

Pushed to master for 19.11.00